package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceWorkmanEntity;
/**
 * 设备工作人员信息查询对象
 *
 * @author zxfei
 * @date 2023-12-04
 */
public class DeviceWorkmanQuery extends DeviceWorkmanEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 工作人员id */
    private Long workmanIdStart;

    /** 结束 工作人员id */
    private Long workmanIdEnd;

    /** 增加 工作人员id */
    private Long workmanIdIncrement;

    /** 工作人员id列表 */
    private List <Long> workmanIdList;

    /** 工作人员id排除列表 */
    private List <Long> workmanIdNotList;

    /** 工作人员名称 */
    private List<String> workmanNameList;

    /** 工作人员名称排除列表 */
    private List <String> workmanNameNotList;
    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 设备id */
    private Long deviceIdStart;

    /** 结束 设备id */
    private Long deviceIdEnd;

    /** 增加 设备id */
    private Long deviceIdIncrement;

    /** 设备id列表 */
    private List <Long> deviceIdList;

    /** 设备id排除列表 */
    private List <Long> deviceIdNotList;

    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceWorkmanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceWorkmanQuery> andConditionList;

    public DeviceWorkmanQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 工作人员id
     * @return workmanIdStart
     */
    public Long getWorkmanIdStart(){
        return this.workmanIdStart;
    }

    /**
     * 设置 开始 工作人员id
     * @param workmanIdStart
     */
    public void setWorkmanIdStart(Long workmanIdStart){
        this.workmanIdStart = workmanIdStart;
    }

    /**
     * 获取 结束 工作人员id
     * @return $workmanIdEnd
     */
    public Long getWorkmanIdEnd(){
        return this.workmanIdEnd;
    }

    /**
     * 设置 结束 工作人员id
     * @param workmanIdEnd
     */
    public void setWorkmanIdEnd(Long workmanIdEnd){
        this.workmanIdEnd = workmanIdEnd;
    }

    /**
     * 获取 增加 工作人员id
     * @return workmanIdIncrement
     */
    public Long getWorkmanIdIncrement(){
        return this.workmanIdIncrement;
    }

    /**
     * 设置 增加 工作人员id
     * @param workmanIdIncrement
     */
    public void setWorkmanIdIncrement(Long workmanIdIncrement){
        this.workmanIdIncrement = workmanIdIncrement;
    }

    /**
     * 获取 工作人员id
     * @return workmanIdList
     */
    public List<Long> getWorkmanIdList(){
        return this.workmanIdList;
    }

    /**
     * 设置 工作人员id
     * @param workmanIdList
     */
    public void setWorkmanIdList(List<Long> workmanIdList){
        this.workmanIdList = workmanIdList;
    }

    /**
     * 获取 工作人员id
     * @return workmanIdNotList
     */
    public List<Long> getWorkmanIdNotList(){
        return this.workmanIdNotList;
    }

    /**
     * 设置 工作人员id
     * @param workmanIdNotList
     */
    public void setWorkmanIdNotList(List<Long> workmanIdNotList){
        this.workmanIdNotList = workmanIdNotList;
    }


    /**
     * 获取 工作人员名称
     * @return workmanNameList
     */
    public List<String> getWorkmanNameList(){
        return this.workmanNameList;
    }

    /**
     * 设置 工作人员名称
     * @param workmanNameList
     */
    public void setWorkmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
    }

    /**
     * 获取 工作人员名称
     * @return workmanNameNotList
     */
    public List<String> getWorkmanNameNotList(){
        return this.workmanNameNotList;
    }

    /**
     * 设置 工作人员名称
     * @param workmanNameNotList
     */
    public void setWorkmanNameNotList(List<String> workmanNameNotList){
        this.workmanNameNotList = workmanNameNotList;
    }

    /**
     * 获取 照片
     * @return photoPathList
     */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
     * 获取 照片
     * @return photoPathNotList
     */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
     * 设置 照片
     * @param photoPathNotList
     */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 设备id
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 设备id
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 设备id
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 设备id
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 设备id
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceWorkmanQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceWorkmanQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceWorkmanQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceWorkmanQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceWorkmanQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeviceWorkmanQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  工作人员id
     * @param workmanId
     */
    public DeviceWorkmanQuery workmanId(Long workmanId){
        setWorkmanId(workmanId);
        return this;
    }

    /**
     * 设置 开始 工作人员id
     * @param workmanIdStart
     */
    public DeviceWorkmanQuery workmanIdStart(Long workmanIdStart){
        this.workmanIdStart = workmanIdStart;
        return this;
    }

    /**
     * 设置 结束 工作人员id
     * @param workmanIdEnd
     */
    public DeviceWorkmanQuery workmanIdEnd(Long workmanIdEnd){
        this.workmanIdEnd = workmanIdEnd;
        return this;
    }

    /**
     * 设置 增加 工作人员id
     * @param workmanIdIncrement
     */
    public DeviceWorkmanQuery workmanIdIncrement(Long workmanIdIncrement){
        this.workmanIdIncrement = workmanIdIncrement;
        return this;
    }

    /**
     * 设置 工作人员id
     * @param workmanIdList
     */
    public DeviceWorkmanQuery workmanIdList(List<Long> workmanIdList){
        this.workmanIdList = workmanIdList;
        return this;
    }

    /**
     * 设置 工作人员id
     * @param workmanIdNotList
     */
    public DeviceWorkmanQuery workmanIdNotList(List<Long> workmanIdNotList){
        this.workmanIdNotList = workmanIdNotList;
        return this;
    }


    /**
     * 设置 工作人员名称
     * @param workmanName
     */
    public DeviceWorkmanQuery workmanName(String workmanName){
        setWorkmanName(workmanName);
        return this;
    }

    /**
     * 设置 工作人员名称
     * @param workmanNameList
     */
    public DeviceWorkmanQuery workmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
        return this;
    }


    /**
     * 设置 照片
     * @param photoPath
     */
    public DeviceWorkmanQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
        return this;
    }

    /**
     * 设置 照片
     * @param photoPathList
     */
    public DeviceWorkmanQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public DeviceWorkmanQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public DeviceWorkmanQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeviceWorkmanQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeviceWorkmanQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeviceWorkmanQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeviceWorkmanQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeviceWorkmanQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeviceWorkmanQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceWorkmanQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceWorkmanQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceWorkmanQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceWorkmanQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceWorkmanQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeviceWorkmanQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  设备id
     * @param deviceId
     */
    public DeviceWorkmanQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public DeviceWorkmanQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public DeviceWorkmanQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public DeviceWorkmanQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public DeviceWorkmanQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public DeviceWorkmanQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceWorkmanQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceWorkmanQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceWorkmanQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceWorkmanQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceWorkmanQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceWorkmanQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceWorkmanQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceWorkmanQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}